comment { kSUPPRESSION SETTINGS };
private ["_step","_return","_sDist","_mgDist","_snDist","_wCl","_supP","_grDist","_suppF","_skPer","_mD","_mDsn","_mT","_skPSup"];

_step = _this select 0;

comment { START.SQS };
if (_step == 0) then {
	comment { 
	// Name of the array listing all units
	// To change this array if you're using WGL you can use the built in array wgl_units: kSupp set [ 4 , "wgl_units" ]
	};
	kSupp set [ 4 , "list allUnits" ];
	comment { 
	// Name of the weapon classes of the mods/addons you are using in your mission
	// You can see the available definitions in the kScustom\wpClasses.txt file, or in the function itself
	// To load more than one definition use something like this: ["LSR","ORCS"]
	// Leave empty to use just the default OFP classes 
	};
	_wCl = ["WW4"];
	comment { 
	// SIDES to be excluded from suppression
	// Possible values: "WEST", "EAST", "GUER", "CIV", "ENEMY"
	// Beware that by excluding the civilian side you'll also exclude any unit set as captive
	};
	kSupp set [ 7 , [] ];
	comment { Units excluded from suppression. For special cases during missions or to emulate effects of troops under drugs, etc. For players check next setting. };
	kSupp set [ 1, [] ];
	comment { Should players be suppressed? Set to false for players to be unaffected by suppressive fire };
	_supP = true;
	comment { Debug mode? };
	kSupp set [ 8 , false ];
	
	_return = [_supP,_wCl];
};

comment { BULLET.SQS };
if (_step == 1) then {
	comment { Distance (in meters) a unit has to be from bullet to be suppressed };
	_sDist = 5;
	comment { Distance (in meters) for MGs and other weapons of greater suppression };
	_mgDist = 15;
	comment { Distance (in meters) for sniper rifles and other weapons of huge suppression };
	_snDist = 50;
	comment { Distance (in meters) for grenades };
	_grDist = 15;
	comment { Set to true to be able to suppress fleeing units. That would make fleeing very hard for AI squads under suppression };
	_suppF = true;
	comment { Distance (in meters) a unit needs to be to be affected by suppression };
	_mD = 500;
	comment { Distance (in meters) a unit needs to be to be affected by suppression by sniper rifles and vehicles };
	_mDsn = 1000;
	comment {
	// Time passed before ending checks for a flying bullet
	// Note that all bullets disappear automatically after 3 seconds, so set it to that to keep checking until the bullet disappears
	};
	_mT = 1.5;
	
	_return = [_sDist,_mgDist,_snDist,_grDist,_suppF,_mD,_mDsn,_mT];
};

comment { SUPPRESSION.SQS };
if (_step == 2) then {
	comment {
	// Percentage (0-100) of the skill of the unit to use to calculate if unit manages to not be affected by suppression
	// Set to 0 to make all units being able to be suppressed, no matter the skill
	// Be warned that by setting it to 100 any unit with a skill of 1 won't be affected by suppression. 
	// That includes players (they always have a skill of 1) and, if SuperAI is enabled, all the AI units
	};
	_skPer = 0;
	comment {
	// Percentage (0-100) of the skill of the unit to use to calculate how long and easily a unit can be suppressed
	// Lower percentages will make units be more easily to be suppressed and for longer
	};
	_skPSup = 60;
	
	_return = [_skPer,_skPSup];
};

_return